Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80506 - cpio required during final stages of install
Summary: cpio required during final stages of install
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda
Version: phoebe
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 14:32 UTC by Jeff Iddings
Modified: 2007-04-18 16:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-12-29 22:35:19 UTC


Attachments (Terms of Use)

Description Jeff Iddings 2002-12-27 14:32:51 UTC
Description of problem:
If cpio is removed from packages to be installed during a custom install, it
does not cite a dependancy.  However, the installer tries to execute /bin/cpio
during the final install stage, anyway.  

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install RedHat Beta Phoebe.
2. Choose custom install.
3. Remove cpio from selected packages. 
4. Continue normally with install.  
    
Actual results:
During final stages, non-fatal error will appear -- "/bin/cpio not found" 

Expected results:
Normal final stage install, no errors.  Or would have expected a cpio dependancy
or require cpio's installation.

Additional info:
Unfortunately I do not know exactly where this error is occuring -- I'm not an
installer whiz... or whiz at all.. :)

Comment 1 Jeff Johnson 2002-12-27 19:05:34 UTC
This smells like an anaconda/comps issue.

Comment 2 Jeremy Katz 2002-12-29 22:35:19 UTC
cpio is in the mandatory list for Core.  If you remove them, you're shooting
yourself in the foot.  Rawhide has some code to make it impossible to do so
outside of kickstart


Note You need to log in before you can comment on or make changes to this bug.